Bug 252049 - Review Request: asm2 - A code manipulation tool to implement adaptable systems
Review Request: asm2 - A code manipulation tool to implement adaptable systems
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
http://asm.objectweb.org/
:
Depends On:
Blocks: FE-DEADREVIEW
  Show dependency treegraph
 
Reported: 2007-08-13 16:56 EDT by Vivek Lakshmanan
Modified: 2010-01-25 19:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-25 20:54:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vivek Lakshmanan 2007-08-13 16:56:16 EDT
Spec URL: http://vivekl.fedorapeople.org/rpms/asm2.spec
SRPM URL: http://vivekl.fedorapeople.org/rpms/asm2-2.1-2jpp.2.fc8.src.rpm

ASM is a code manipulation tool to implement adaptable systems.
Needed for supporting application servers
Comment 1 Rajeesh 2008-02-02 06:59:50 EST
Hi Vivek,
    An unofficial review of the package:

?? -  Meets Packaging Guidelines.
OK -  Package named correctly
NA -  Patches named correctly
OK -  Spec file named correctly to match base
NO *  License is valid
?? -  Licence field matches package
OK -  Licence file installed if supplied
OK -  Spec file in American English
?? -  Source matches upstream (md5)
NA -  Locales use %find_lang
OK -  %clean is present and correct
OK -  Package has correct buildroot.
OK -  Specfile Legible
OK -  Builds in Mock
NA -  %post/%postun calls ldconfig for sh libs
OK -  Owns directories it creates
OK -  No duplicate files
OK -  Has %defattr and has correct permissions
OK -  Macros used consistently
OK -  %doc does not affect runtime
NA -  Headers/static libs in -devel
NA -  .pc files in -devel
NA -  .so files in -devel
NA -  -devel requires base
OK -  Contains no .la libtool archive files
OK -  Does not own others files
NA -  .desktop files installed correctly
OK -  BuildRequires correct.
OK -  Package is code or permissible content.
OK -  Package has rm -rf %{buildroot} at top of %install.
      $RPM_BUILD_ROOT used instead
OK -  Package compiles and builds on at least one arch.
?? -  rpmlint output.
OK -  documentation in -doc package
OK -  final provides and requires are sane.
OK -  should have dist tag
?? -  should package latest version

 - RPMLint against asm2-2.1-2jpp.2.fc8.src.rpm says:
   asm2.src: W: mixed-use-of-spaces-and-tabs (spaces: line 9, tab: line 31)
   asm2.src: W: non-standard-group Development/Libraries/Java
   asm2.src: W: invalid-license BSD-style

 - Source0 should be
http://download.us.forge.objectweb.org/asm/%{name}-%{version}.tar.gz
   Moreover, I couldn't download the source from the specified location on Feb
02, 2008. Connection timed out.
   So I couldn't verify if the package is of latest version or not.
 - License 'BSD-style' is non standard.
Comment 2 Jason Tibbitts 2008-06-04 21:08:37 EDT
Any response to Rajeesh's commentary?  Any chance of getting this updated to our
current Java guidelines?  (No javadoc scriptlets, no jpp tag in the Release:, etc.)
Comment 3 Jason Tibbitts 2008-06-25 20:54:33 EDT
Well, no response in over six months, and no response to additional prompting
and needinfo.  I've no choice but to close the Java package reviews that Vivek
has opened.

If someone feels the urge to flame me, please instead expend the effort updating
these packages to current guidelines and reopening the tickets.

Note You need to log in before you can comment on or make changes to this bug.